Generate and manage calendar subscription feeds
/api/v1/calendar-feedsReturns all calendar subscription feeds for the authenticated user.
curl https://api.offly.net/api/v1/calendar-feeds \
-H "Authorization: Bearer YOUR_API_KEY"Do not use production API keys on shared devices. Keys are stored in memory only.
/api/v1/calendar-feedsGenerates a new iCal subscription URL.
| Field | Type | Description |
|---|---|---|
| name | string | Descriptive name for the feed |
| Field | Type | Description |
|---|---|---|
| id | string(uuid) | |
| name | string | |
| url | string(uri) | |
| created_at | string(date-time) |
curl -X POST https://api.offly.net/api/v1/calendar-feeds \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Do not use production API keys on shared devices. Keys are stored in memory only.
/api/v1/calendar-feeds/{id}Revokes a calendar subscription URL.
| Name | Type | In | Description |
|---|---|---|---|
| id* | string(uuid) | path |
curl -X DELETE https://api.offly.net/api/v1/calendar-feeds/{id} \
-H "Authorization: Bearer YOUR_API_KEY"Do not use production API keys on shared devices. Keys are stored in memory only.